#include <bits/stdc++.h>

using namespace std;

string a;
int b[100000];
int sum=0;

ifstream fi ("boi30.inp");
ofstream fo ("boi30.out");

void quickSort( int Data[], int l , int r)
{
	if (l <= r)
	{
		int key = Data[(l+r)/2];

		int i = l;
		int j = r;

		while (i <= j)
		{
			while (Data[i] < key)
				i++;
			while (Data[j] > key)
				j--;

			if (i <= j)
			{
				swap(Data[i], Data[j]);
				i++;
				j--;
			}
		}
		if (l < j)
			quickSort(Data, l, j);
		if (r > i)
			quickSort(Data, i, r);
	}
}

int main(){
 getline(fi,a);
 int t,test1=0,test2=0;
  string s="";
  for (int i=0;i<a.length();i++){
    s=s+a[i];
    t=atoi(s.c_str());
    sum=(sum+t)%3;
    b[i]=t;
    s="";
    if (b[i]==0){test1=1;}
  }
  if (sum==0){test2=1;}
 if (test1==1&&test2==1){
    quickSort(b,0,a.length()-1);
    for (int i=a.length()-1;i>=0;i--)fo<<b[i];
 }
 else fo<<-1;
}
